# Program to illustrate the basic concepts of class, objects, and methods

class Robot(object):
    """Simple class for a robot"""
    total = 0
    
    # Define a static method
    @staticmethod
    def status():
        print("\nThe total number of robots is", Robot.total)
    
    # Constructor method
    def __init__(self, name):
        print("\nA new robot has been built!")
        self.name = name
        Robot.total += 1
    
    def __str__(self):
        rep = "Robot object\n"
        rep += "name: " + self.name + "\n"
        return rep
    
    # Method talk()
    def talk(self):
        print("\nHi. I'm an instance of class Robot. My name is ",self.name)
    
def main():
    print("\nAccessing the class attribute Robot.total:", end=" ")
    print(Robot.total)
    
    # Instantiating an object of the Robot class and assigns it to the variable r2d2 
    r2d2 = Robot("R2D2")
    
    # Instantiating an object of the Robot class and assigns it to the variable c3p0
    c3p0 = Robot("C3P0")
    
    Robot.status()
    
    print("\nAccessing the class attribute Robot.total:", end=" ")
    print(Robot.total)
    
main()